<?php
namespace wcf\data\shoutbox;
use wcf\data\DatabaseObjectList;
use wcf\system\WCF;

/**
 * Shoutbox actions
 * 
 * @author	Sonnenspeer
 * @copyright	2013 Sonnenspeer
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	de.sonnenspeer.shoutbox
 */
class ShoutboxEntryList extends DatabaseObjectList {
    /**
     * @see    wcf\data\DatabaseObjectList::$className
     */
    public $className = 'wcf\data\shoutbox\ShoutboxEntry';
	
	/**
	 * sql order by statement
	 * 
	 * @var	string
	 */
	public $sqlOrderBy = 'shoutbox_entry.time DESC';
	
    /**
     * @see    wcf\data\DatabaseObjectList::__construct()
     */
    public function __construct() {
        parent::__construct();
        
		if(SHOUTBOX_FORMAT_USERNAME) {
			if (!empty($this->sqlSelects)) $this->sqlSelects .= ',';
       		$this->sqlSelects .= "user.userOnlineGroupID";
			$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_user user ON (user.userID = shoutbox_entry.userID)";
			
			if (!empty($this->sqlSelects)) $this->sqlSelects .= ',';
       		$this->sqlSelects .= "user_group.userOnlineMarking";
			$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_user_group user_group ON (user_group.groupID = user.userOnlineGroupID)";
		}
    }
}
?>